Remove Open vSwitch and Linuxbridge plugins from the Neutron tree

Bug #1323729 reported by Kyle Mestery on 2014-05-27
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
devstack
Undecided
YAMAMOTO Takashi
neutron
High
Mark McClain
Juno
Undecided
Unassigned
neutron (Ubuntu)
High
James Page

Bug Description

This bug will track the removal of the Open vSwitch and Linuxbridge plugins from the Neutron source tree. These were deprecated in Icehouse and will be removed before Juno releases.

Related branches

Kyle Mestery (mestery) on 2014-05-27
Changed in neutron:
assignee: nobody → Kyle Mestery (mestery)
importance: Undecided → High
milestone: none → juno-2
status: New → Confirmed
Miguel Angel Ajo (mangelajo) wrote :

Kyle, do you mean the standalone openvswitch, right? :) ml2/ovs should stay, or what's the plan?.

Best,
Miguel Ángel

Mohammad Banikazemi (mb-s) wrote :

@Miguel Yes, that is correct; the ML2 plugin (and corresponding mechanism drivers) for OVS and Linuxbridge will remain. The plugins being removed are the monolithic (old style) OVS and Linuxbridge plugins only.

Kyle Mestery (mestery) wrote :

Yes, exactly what @Mohammad wrote. The ML2 plugin with the OVS agent will remain.

Kyle Mestery (mestery) on 2014-07-16
Changed in neutron:
milestone: juno-2 → juno-3
Kyle Mestery (mestery) on 2014-07-24
Changed in neutron:
assignee: Kyle Mestery (mestery) → Mark McClain (markmcclain)

We'll need to remove the options from DevStack too, we don't want people to freak out if they still use old localrc!

Changed in devstack:
status: New → Confirmed
assignee: nobody → Armando Migliaccio (armando-migliaccio)
Thierry Carrez (ttx) on 2014-09-03
Changed in neutron:
milestone: juno-3 → juno-rc1

Fix proposed to branch: master
Review: https://review.openstack.org/123624

Changed in neutron:
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/123625

Changed in neutron:
assignee: Mark McClain (markmcclain) → Salvatore Orlando (salvatore-orlando)
Changed in neutron:
assignee: Salvatore Orlando (salvatore-orlando) → Mark McClain (markmcclain)

Reviewed: https://review.openstack.org/123624
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=91683ffeb75fe8899a2925b5490c7c57ffa5f10a
Submitter: Jenkins
Branch: master

commit 91683ffeb75fe8899a2925b5490c7c57ffa5f10a
Author: Mark McClain <email address hidden>
Date: Wed Sep 24 01:50:06 2014 +0000

    remove linuxbridge plugin

    This changeset removes the linuxbridge plugin, but retains the agent for ML2.
    The database models were not removed since operators will need to migrate the
    data.

    Additionally, the ml2 migration script was altered to support Juno. For
    testing, a user must either run the migration against the icehouse
    scheme or run the update, manually change alembic_version to juno and
    then run the migration script. Once the juno migration is added, this
    manually step will not be required.

    Change-Id: I70689b4247947e6dc08e80fd9b31da9dc691d259
    Partial-Bug: 1323729

Changed in neutron:
assignee: Mark McClain (markmcclain) → Armando Migliaccio (armando-migliaccio)
Changed in neutron:
assignee: Armando Migliaccio (armando-migliaccio) → Mark McClain (markmcclain)

Reviewed: https://review.openstack.org/123625
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=205162f58050fcb94db53cd51b674d2093dfe700
Submitter: Jenkins
Branch: master

commit 205162f58050fcb94db53cd51b674d2093dfe700
Author: Mark McClain <email address hidden>
Date: Wed Sep 24 04:00:54 2014 +0000

    remove openvswitch plugin

    This changeset removes the openvswitch plugin, but retains the agent for ML2
    The database models were not removed since operators will need to migrate the
    data.

    Change-Id: I8b519cb2bbebcbec2c78bb0ec9325716970736cf
    Closes-Bug: 1323729

Changed in neutron:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-03
Changed in neutron:
status: Fix Committed → Fix Released
James Page (james-page) on 2014-10-03
Changed in neutron (Ubuntu):
assignee: nobody → James Page (james-page)
status: New → In Progress
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.2~rc1-0ubuntu1

---------------
neutron (1:2014.2~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refreshed.
    - d/control: Add python-requests-mock to BD's.
    - d/control: Align versioned requirements with upstream.
  * Transition linuxbridge and openvswitch plugin users to modular
    layer 2 plugin (LP: #1323729):
    - d/control: Mark removed plugin packages as transitional, depend
      on neutron-plugin-ml2, mark oldlibs/extra.
    - d/neutron-plugin-{linuxbridge,openvswitch}.install: Drop.
    - d/control: Depend on neutron-plugin-ml2 for linuxbridge
      agent package.
    - d/neutron-plugin-linuxbridge-agent.upstart: Use ml2 plugin
      configuration files.
 -- James Page <email address hidden> Fri, 03 Oct 2014 18:45:23 +0100

Changed in neutron (Ubuntu):
status: In Progress → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in neutron:
milestone: juno-rc1 → 2014.2

Reviewed: https://review.openstack.org/127082
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=105dba9addfdffecea41cce58f3646d2f2a6a6cc
Submitter: Jenkins
Branch: master

commit 105dba9addfdffecea41cce58f3646d2f2a6a6cc
Author: YAMAMOTO Takashi <email address hidden>
Date: Thu Oct 9 09:04:34 2014 +0900

    openvswitch: Remove no longer used options

    They are remainders of the recently removed monolithic OVS plugin.
    Note: This change does not touch options used by OVS agent.

    Partial-Bug: #1323729
    Change-Id: I6dd04c5c506ff5f97f10ebab03943cd508fbfe60

Download full text (72.6 KiB)

Reviewed: https://review.openstack.org/130864
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=c089154a94e5872efc95eab33d3d0c9de8619fe4
Submitter: Jenkins
Branch: feature/lbaasv2

commit 62588957fbeccfb4f80eaa72bef2b86b6f08dcf8
Author: Kevin Benton <email address hidden>
Date: Wed Oct 22 13:04:03 2014 -0700

    Big Switch: Switch to TLSv1 in server manager

    Switch to TLSv1 for the connections to the backend
    controllers. The default SSLv3 is no longer considered
    secure.

    TLSv1 was chosen over .1 or .2 because the .1 and .2 weren't
    added until python 2.7.9 so TLSv1 is the only compatible option
    for py26.

    Closes-Bug: #1384487
    Change-Id: I68bd72fc4d90a102003d9ce48c47a4a6a3dd6e03

commit 17204e8f02fdad046dabdb8b31397289d72c877b
Author: OpenStack Proposal Bot <email address hidden>
Date: Wed Oct 22 06:20:15 2014 +0000

    Imported Translations from Transifex

    For more information about this automatic import see:
    https://wiki.openstack.org/wiki/Translations/Infrastructure

    Change-Id: I58db0476c810aa901463b07c42182eef0adb5114

commit d712663b99520e6d26269b0ca193527603178742
Author: Carl Baldwin <email address hidden>
Date: Mon Oct 20 21:48:42 2014 +0000

    Move disabling of metadata and ipv6_ra to _destroy_router_namespace

    I noticed that disable_ipv6_ra is called from the wrong place and that
    in some cases it was called with a bogus router_id because the code
    made an incorrect assumption about the context. In other case, it was
    never called because _destroy_router_namespace was being called
    directly. This patch moves the disabling of metadata and ipv6_ra in
    to _destroy_router_namespace to ensure they get called correctly and
    avoid duplication.

    Change-Id: Ia76a5ff4200df072b60481f2ee49286b78ece6c4
    Closes-Bug: #1383495

commit f82a5117f6f484a649eadff4b0e6be9a5a4d18bb
Author: OpenStack Proposal Bot <email address hidden>
Date: Tue Oct 21 12:11:19 2014 +0000

    Updated from global requirements

    Change-Id: Idcbd730f5c781d21ea75e7bfb15959c8f517980f

commit be6bd82d43fbcb8d1512d8eb5b7a106332364c31
Author: Angus Lees <email address hidden>
Date: Mon Aug 25 12:14:29 2014 +1000

    Remove duplicate import of constants module

    .. and enable corresponding pylint check now the only offending instance
    is fixed.

    Change-Id: I35a12ace46c872446b8c87d0aacce45e94d71bae

commit 9902400039018d77aa3034147cfb24ca4b2353f6
Author: rajeev <email address hidden>
Date: Mon Oct 13 16:25:36 2014 -0400

    Fix race condition on processing DVR floating IPs

    Fip namespace and agent gateway port can be shared by multiple dvr routers.
    This change uses a set as the control variable for these shared resources
    and ensures that Test and Set operation on the control variable are
    performed atomically so that race conditions do not occur among
    multiple threads processing floating IPs.
    Limitation: The scope of this change is limited to addressing the race
    condition described in the bug report. It may not address other issues
    such as pre-existing issue wit...

Fix proposed to branch: master
Review: https://review.openstack.org/131323

Changed in devstack:
assignee: Armando Migliaccio (armando-migliaccio) → YAMAMOTO Takashi (yamamoto)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/131323
Committed: https://git.openstack.org/cgit/openstack-dev/devstack/commit/?id=15130cd5fd1688b8984d78136b97bb8de7c32b64
Submitter: Jenkins
Branch: master

commit 15130cd5fd1688b8984d78136b97bb8de7c32b64
Author: YAMAMOTO Takashi <email address hidden>
Date: Tue Oct 28 11:49:58 2014 +0900

    Desupport neutron openvswitch and linuxbridge monolithic plugins

    These plugins were removed in Juno.
    Note: this doesn't affect the corresponding ML2 mechanism drivers.

    Partial-Bug: #1323729
    Change-Id: Ia8da1e20a03fef5657ba1584bf83ddd224b5d5f2

Édouard Thuleau (ethuleau) wrote :

The devstack fix [1] removed all linux bridge agent configuration files and we are no more able to setup LinuxBridge agent with the ML2 plugin. It's a huge regression.

I proposed to revert that fix for the moment and propose another review to clean devstack for the monolitycs plugin OVS and LB EOL. What do you think?

[1] https://review.openstack.org/#/c/131323/

omrim (omrim) wrote :

We also had failures in a devstack jobs that run over linuxbridge.

Édouard Thuleau (ethuleau) wrote :

Should I propose a temporary fix that revert the precedent patch ?

Reviewed: https://review.openstack.org/133437
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=f36c29903afb713670f9e7c3f9530e117dfc6bcb
Submitter: Jenkins
Branch: master

commit f36c29903afb713670f9e7c3f9530e117dfc6bcb
Author: Cedric Brandily <email address hidden>
Date: Mon Nov 10 11:43:09 2014 +0100

    Remove openvswitch core plugin entry point

    The openvswitch core plugin has been removed but not its associated
    "neutron.core_plugins" entry point. This change removes it from
    setup.cfg.

    Change-Id: I79f7c334cdeb0f4d0d68743734f69c0ec8523467
    Related-Bug: #1323729
    Closes-Bug: #1391326

Reviewed: https://review.openstack.org/133701
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=d34328800ad011b348a21e2af8517bcfa18ff2be
Submitter: Jenkins
Branch: stable/juno

commit d34328800ad011b348a21e2af8517bcfa18ff2be
Author: Cedric Brandily <email address hidden>
Date: Mon Nov 10 11:43:09 2014 +0100

    Remove openvswitch core plugin entry point

    The openvswitch core plugin has been removed but not its associated
    "neutron.core_plugins" entry point. This change removes it from
    setup.cfg.

    Change-Id: I79f7c334cdeb0f4d0d68743734f69c0ec8523467
    Related-Bug: #1323729
    Closes-Bug: #1391326
    (cherry picked from commit f36c29903afb713670f9e7c3f9530e117dfc6bcb)

tags: added: in-stable-juno
Mathieu Rohon (mathieu-rohon) wrote :

@édouard, @omrim

this bug tracks the issue :

https://bugs.launchpad.net/devstack/+bug/1323729

Thanassis Parathyras (parath) wrote :
Changed in devstack:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers